<!DOCTYPE html>
<html lang="es-ES">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<title>Parametros Reporte Comparativo Ing. Inv. vs Conta.</title>
<link href="../../maincss.css" rel="stylesheet" type="text/css" />
<link href="../../chosen/chosen.css" rel="stylesheet" />
<link href="../../tcal.css" rel="stylesheet" type="text/css" />
<!--
<script language="javascript" src="js/jquery-1.3.min.js"></script>
-->
<script language="javascript" src="../../js/tcal.js" type="text/javascript"></script>
<script language="javascript" src="../../js/jquery-3.4.1.js"></script>
<script type="text/javascript" src="../../chosen/chosen.jquery.js"></script>
<script language="javascript" src="../../js/validar.js"></script>

<script language="javascript">
	$(document).ready(function(){
		$("#cbx_itemelegido1").change(function () {
			$("#cbx_itemelegido1 option:selected").each(function () {
				itemelegido1 = $(this).val();
				$.post("itemelegido1.php", { itemelegido1: itemelegido1 }, function(data){
					$("#cbx_itemelegido2").html(data);
				});            
			});
		})
	});
</script>

<script language="javascript">
	$(document).ready(function(){
		$("#cbx_elegido1").change(function () {

			$('#cbx_elegido3').find('option').remove().end().append('<option value="0">Todos</option>').val('0');
			$('#cbx_elegido4').find('option').remove().end().append('<option value="0">Todos</option>').val('0');
			
			$("#cbx_elegido1 option:selected").each(function () {
				elegido1 = $(this).val();
				$.post("elegido1.php", { elegido1: elegido1 }, function(data){
					$("#cbx_elegido2").html(data);
				});            
			});
		})
	});
	
	$(document).ready(function(){
		$("#cbx_elegido2").change(function () {

			$('#cbx_elegido4').find('option').remove().end().append('<option value="0">Todos</option>').val('0');

			$("#cbx_elegido2 option:selected").each(function () {
				elegido2 = $(this).val();
				$.post("elegido2.php", { elegido2: elegido2 }, function(data){
					$("#cbx_elegido3").html(data);
				});            
			});
		})
	});

	$(document).ready(function(){
		$("#cbx_elegido3").change(function () {
			$("#cbx_elegido3 option:selected").each(function () {
				elegido3 = $(this).val();
				$.post("elegido3.php", { elegido3: elegido3 }, function(data){
					$("#cbx_elegido4").html(data);
				});            
			});
		})
	});

</script>

<script language="JavaScript"> 
function oculta(id){
	 var elDiv = document.getElementById(id); //se define la variable "elDiv" igual a nuestro div
	 elDiv.style.display='none'; //damos un atributo display:none que oculta el div	 
	}
 
function muestra(id){
	 var elDiv = document.getElementById(id); //se define la variable "elDiv" igual a nuestro div
	 elDiv.style.display='block';//damos un atributo display:block que  el div	 
	}
 
window.onload = function(){/*hace que se cargue la función */
/* "Mandamos como parametro el nombre de la Div para ocultar" */
oculta('Pfamilia');
oculta('Pnrodoc');
}
</script>

</head>
<?php

include "../../conn.php";
include "../../general.php";
include "../../token.php";

//$usuario = $_GET["user"];


?>
<body>

<?php 
//Inicio reporte inventario valorado


//listado de almacenes
$result2 = mysqli_query($link, "select pkyWarehouse, fldName 
from invWarehouse 
where sysEnabled = 1 and sysAuthorized = 1 
order by fldName;");

//listado de cuentas contables ligadas al almacen
$result7 = mysqli_query($link, "select distinct a.codAccount as cod_cuenta, b.fldName as cuenta 
from invWarehouse a, actAccount b
where 
a.codAccount = b.pkyAccount and 
b.sysEnabled = 1 and b.sysAuthorized = 1 
order by cod_cuenta, cuenta;");

//listado de items
/*
$result = mysqli_query($link, "select a.pkyItem as codigo, a.fldName as item, b.fldName as tipo
from invItem a, invItemType b
where
a.codType = b.pkyItemType and
a.sysEnabled = 1 and a.sysAuthorized = 1
order by a.fldName;");
*/

/*
Para el nro de documento
select pkyItemMovement, fldDocumentNumber from 
invitemmovement 
where upper(fldDocumentNumber) like upper('%2%')
order by pkyItemMovement
*/
?>
<table border="0" align="left" width="100%" cellpadding="5">
<tr><td><b>Empresa: <?php echo $nombre_empresa; ?><br/>NIT: <?php echo $mi_nit; ?></b>
</td><td align="right"><b>Fecha: <?php echo date("Y-m-d"); ?><br/>Hora: <?php echo date("H:i:s"); ?><br/>Usuario: <?php echo $usuario; ?><br/>F</b>
</td></tr></table><br/>
<table border="0" align="center" cellpadding="5"><tr><td colspan="2" align="center">
<b>Par&aacute;metros Reporte Comparativo Ing. Inv. vs Conta. <?php echo $nom_moneda; ?></b></td></tr><tr><td>
<form id="miform" name="miform" method="post" action="report_ci.php?rep=9&tipo=1">
<br/><b>Usuario: </b></td><td> <br/><input type="text" name="usuario" value="<?php echo $usuario; ?>" size="20" readonly="readonly" class="formulario" style="color:#999;">
<input type="hidden" name="token" value="<?php echo $token; ?>">

</td></tr><tr><td>
<br/><b>Cuenta Contable<br /> del Almac&eacute;n:</b></td><td> <br/><!--<SELECT NAME="almacen" class="formulario">-->
	<select data-placeholder="Seleccione..." class="chzn-select" style="width:300px;" NAME="cuenta_almacen">
    <option value="0">Todos</option>
	<?php 
	while ($row = mysqli_fetch_array($result7)) {   
	?> 
	<option value="<?php echo $row['cod_cuenta']?>"><?php echo $row['cod_cuenta']?> - <?php echo $row['cuenta']?></option> 
	<?php 
	}  
	mysqli_free_result($result7);
	?>
    </select>
</td></tr><tr><td>

<br/><b>Almac&eacute;n:</b></td><td> <br/><!--<SELECT NAME="almacen" class="formulario">-->
	<select data-placeholder="Seleccione..." class="chzn-select" style="width:300px;" NAME="almacen">
    <option value="0">Todos</option>
	<?php 
	while ($row = mysqli_fetch_array($result2)) {   
	?> 
	<option value="<?php echo $row['pkyWarehouse']?>"><?php echo $row['pkyWarehouse']?> - <?php echo $row['fldName']?></option> 
	<?php 
	}  
	mysqli_free_result($result2);
	?>
    </select>
</td></tr><tr><td>

<br/><b>Item inicial: </b></td><td> <br/><!--<SELECT NAME="cuentaini" id="combo1" class="formulario">-->
<select data-placeholder="Seleccione..." class="chzn-select" style="width:450px;" NAME="itemini" id="cbx_itemelegido1">
<?php
$query = "select pkyItem as cod, fldName as item, fldFactoryKey as cod_fabrica
from
invItem
where
sysEnabled = 1 and sysAuthorized = 1 
order by cod";
$resultado=$mysqli->query($query);
?>
<option value="0">Todos</option>
<?php while($row = $resultado->fetch_assoc()) { ?>
	<option value="<?php echo $row['cod']; ?>"><?php echo $row['cod'].' - '.$row['cod_fabrica'].' - '.$row['item']; ?></option>
<?php } 
$resultado->close(); ?> 
</select>

</td></tr><tr><td>
<br/><b>Item final: </b></td><td> <br/><SELECT NAME="itemfin" id="cbx_itemelegido2" style="width:450px;" class="select-css">	
<option value="0">Todos</option>
</select>

</td></tr><tr><td>
<br/><b>De Fecha: </b></td><td> <br/><div><input type="text" id="fechaini" name="fechaini" value="<?php echo $fechaini_gest; ?>" length="10" maxlength="10" class="tcal" title="aaaa-mm-dd"> </div>aaaa-mm-dd
</td></tr><tr><td>
<br/><b>A Fecha: </b></td><td> <br/><div><input type="text" id="fechafin" name="fechafin" value="<?php echo $fecha_hoy; ?>" length="10" maxlength="10" class="tcal" title="aaaa-mm-dd"> </div>aaaa-mm-dd

</td></tr><tr><td> 

<br/><b>Ordenado por: </b></td><td> <br/><input type="radio" name="orden" checked="checked" value="0" class="formulario"> Fecha
<br/><input type="radio" name="orden" value="1" class="formulario"> Item
<br/><input type="radio" name="orden" value="2" class="formulario"> Almacén
<br/><input type="radio" name="orden" value="3" class="formulario"> Cuenta contable

<tr><td colspan="2" align="center">
<br/><br/><INPUT TYPE="submit" VALUE="Generar Reporte" class="boton_generar"></td></tr>

<script type="text/javascript"> $(".chzn-select").chosen({no_results_text: "No se encontraron resultados con "}); $(".chzn-select-deselect").chosen({allow_single_deselect:true}); </script>
</form>
</table>

</body>
</html>
